
package reparto_izca.keymon.lat;

import java.io.IOException;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.pc.PCBA;
import anywheresoftware.b4a.pc.RDebug;
import anywheresoftware.b4a.pc.RemoteObject;
import anywheresoftware.b4a.pc.RDebug.IRemote;
import anywheresoftware.b4a.pc.Debug;
import anywheresoftware.b4a.pc.B4XTypes.B4XClass;
import anywheresoftware.b4a.pc.B4XTypes.DeviceClass;

public class b4xcollections implements IRemote{
	public static b4xcollections mostCurrent;
	public static RemoteObject processBA;
    public static boolean processGlobalsRun;
    public static RemoteObject myClass;
    public static RemoteObject remoteMe;
	public b4xcollections() {
		mostCurrent = this;
	}
    public RemoteObject getRemoteMe() {
        return remoteMe;    
    }
    
public boolean isSingleton() {
		return true;
	}
     private static PCBA pcBA = new PCBA(null, b4xcollections.class);
    static {
		mostCurrent = new b4xcollections();
        remoteMe = RemoteObject.declareNull("reparto_izca.keymon.lat.b4xcollections");
        anywheresoftware.b4a.pc.RapidSub.moduleToObject.put(new B4XClass("b4xcollections"), "reparto_izca.keymon.lat.b4xcollections");
        RDebug.INSTANCE.eventTargets.put(new DeviceClass("reparto_izca.keymon.lat.b4xcollections"), new java.lang.ref.WeakReference<PCBA> (pcBA));
	}
   
	public static RemoteObject runMethod(boolean notUsed, String method, Object... args) throws Exception{
		return (RemoteObject) pcBA.raiseEvent(method.substring(1), args);
	}
    public static void runVoidMethod(String method, Object... args) throws Exception{
		runMethod(false, method, args);
	}
	public PCBA create(Object[] args) throws ClassNotFoundException{
        throw new RuntimeException("CREATE is not supported.");
	}
public static RemoteObject __c = RemoteObject.declareNull("anywheresoftware.b4a.keywords.Common");
public static RemoteObject _dateutils = RemoteObject.declareNull("b4a.example.dateutils");
public static reparto_izca.keymon.lat.main _main = null;
public static reparto_izca.keymon.lat.appupdater _appupdater = null;
public static reparto_izca.keymon.lat.subs _subs = null;
public static reparto_izca.keymon.lat.foto _foto = null;
public static reparto_izca.keymon.lat.mapa_cliente _mapa_cliente = null;
public static reparto_izca.keymon.lat.mapa_rutas _mapa_rutas = null;
public static reparto_izca.keymon.lat.starter _starter = null;
public static reparto_izca.keymon.lat.tracker _tracker = null;
public static reparto_izca.keymon.lat.newinst2 _newinst2 = null;
public static reparto_izca.keymon.lat.b4xpages _b4xpages = null;
public static reparto_izca.keymon.lat.httputils2service _httputils2service = null;
public static reparto_izca.keymon.lat.xuiviewsutils _xuiviewsutils = null;
  public Object[] GetGlobals() {
		return new Object[] {"appUpdater",Debug.moduleToString(reparto_izca.keymon.lat.appupdater.class),"B4XPages",Debug.moduleToString(reparto_izca.keymon.lat.b4xpages.class),"DateUtils",b4xcollections.mostCurrent._dateutils,"foto",Debug.moduleToString(reparto_izca.keymon.lat.foto.class),"HttpUtils2Service",Debug.moduleToString(reparto_izca.keymon.lat.httputils2service.class),"Main",Debug.moduleToString(reparto_izca.keymon.lat.main.class),"MAPA_CLIENTE",Debug.moduleToString(reparto_izca.keymon.lat.mapa_cliente.class),"MAPA_RUTAS",Debug.moduleToString(reparto_izca.keymon.lat.mapa_rutas.class),"newinst2",Debug.moduleToString(reparto_izca.keymon.lat.newinst2.class),"Starter",Debug.moduleToString(reparto_izca.keymon.lat.starter.class),"Subs",Debug.moduleToString(reparto_izca.keymon.lat.subs.class),"Tracker",Debug.moduleToString(reparto_izca.keymon.lat.tracker.class),"XUIViewsUtils",Debug.moduleToString(reparto_izca.keymon.lat.xuiviewsutils.class)};
}
}